# articulated_vehicles.h File Reference

`#include "vehicle_type.h"`

Go to the source code of this file.

## Functions

uint | CountArticulatedParts (EngineID engine_type, bool purchase_window)
uint16 * | GetCapacityOfArticulatedParts (EngineID engine, VehicleType type)
void | AddArticulatedParts (Vehicle **vl, VehicleType type)

## Detailed Description

Definition in file articulated_vehicles.h.